## org.apache.xml.utils
Class XMLStringFactoryDefault

    java.lang.Object
      |
      +--org.apache.xml.utils.XMLStringFactory
            |
            +--org.apache.xml.utils.XMLStringFactoryDefault

public class XMLStringFactoryDefault
extends XMLStringFactory

The default implementation of XMLStringFactory. This implementation creates XMLStringDefault objects.

Constructor Summary
`XMLStringFactoryDefault()`

Method Summary
`XMLString` `emptystr()` Get a cheap representation of an empty string.
`XMLString` `newstr(char[] string, int start, int length)` Create a XMLString from a FastStringBuffer.
`XMLString` `newstr(FastStringBuffer fsb, int start, int length)` Create a XMLString from a FastStringBuffer.
`XMLString` `newstr(java.lang.String string)` Create a new XMLString from a Java string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStringFactoryDefault

    public XMLStringFactoryDefault()

Method Detail

### newstr

    public XMLString newstr(java.lang.String string)

  Create a new XMLString from a Java string.
  Parameters:
    `string` - Java String reference, which must be non-null.
  Returns:
    An XMLString object that wraps the String reference.
  Overrides:
    newstr in class XMLStringFactory

### newstr

    public XMLString newstr(FastStringBuffer fsb,
                            int start,
                            int length)

  Create a XMLString from a FastStringBuffer.
  Parameters:
    `fsb` - FastStringBuffer reference, which must be non-null.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Returns:
    An XMLString object that wraps the FastStringBuffer reference.
  Overrides:
    newstr in class XMLStringFactory

### newstr

    public XMLString newstr(char[] string,
                            int start,
                            int length)

  Create a XMLString from a FastStringBuffer.
  Parameters:
    `string` - FastStringBuffer reference, which must be non-null.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Returns:
    An XMLString object that wraps the FastStringBuffer reference.
  Overrides:
    newstr in class XMLStringFactory

### emptystr

    public XMLString emptystr()

  Get a cheap representation of an empty string.
  Returns:
    An non-null reference to an XMLString that represents "".
  Overrides:
    emptystr in class XMLStringFactory

Copyright © 2006 Apache XML Project. All Rights Reserved.